package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttDpdsBase;
import com.goldenwater.slgc.mapper.AttDpdsBaseMapper;
import com.goldenwater.slgc.service.DpdsService;

/** 排水沟信息 业务实现 */
@Service
public class DpdsServiceImpl implements DpdsService {
    @Autowired
    private AttDpdsBaseMapper attDpdsBaseMapper;

    @Override
    public List<AttDpdsBase> selectAttDpdsBaseList(AttDpdsBase attDpdsBase) {
        return attDpdsBaseMapper.selectAttDpdsBaseList(attDpdsBase);
    }

    @Override
    public AttDpdsBase selectAttDpdsBaseById(String dpdsCode) {
        return attDpdsBaseMapper.selectAttDpdsBaseById(dpdsCode);
    }

    @Override
    public int deleteAttDpdsBaseByIds(String[] dpdsCodes) {
        return attDpdsBaseMapper.deleteAttDpdsBaseByIds(dpdsCodes);
    }

    @Override
    public int insertAttDpdsBase(AttDpdsBase attDpdsBase) {
        return attDpdsBaseMapper.insertAttDpdsBase(attDpdsBase);
    }

    @Override
    public int updateAttDpdsBase(AttDpdsBase attDpdsBase) {
        return attDpdsBaseMapper.updateAttDpdsBase(attDpdsBase);
    }
}
